local easing = require("easing")

local function GetMoistureDelta(self)
	local m = self.inst.components.moisture
	-- Debug({"moisture_mult: ", self.moisture_mult})
	return easing.inSine(m:GetMoisture(), 0, TUNING.MOISTURE_SANITY_PENALTY_MAX, m.moistureclamp.max) * self.moisture_mult
end

function fn(self)
	self.moisture_mult = 1
	self.GetMoistureDelta = GetMoistureDelta
end

return fn
